# TimestampRange Class Reference
[Common wrapper and helper classes]

Inheritance diagram for TimestampRange:
[legend]

List of all members.

## Public Member Functions

| getStartStamp ()
| getEndStamp ()
| toTimestampRange ()

## Static Public Member Functions

static | create ($start=null, $end=null)

## Protected Member Functions

| getObjectName ()

## Detailed Description

See also:
  Timestamp
  DateRange

Definition at line 18 of file TimestampRange.class.php.

## Member Function Documentation

static TimestampRange::create | ( | $ | start = `null`,
|  | $ | end = `null` |
| ) |  |  | `[static]`

Returns:
  TimestampRange

Reimplemented from DateRange.

Definition at line 23 of file TimestampRange.class.php.

References DateRange::$end, and DateRange::$start.

TimestampRange::getEndStamp | ( |  | ) |

Reimplemented from DateRange.

Definition at line 37 of file TimestampRange.class.php.

References DateRange::$end, and DateRange::getEnd().

Here is the call graph for this function:

TimestampRange::getObjectName | ( |  | ) | `[protected]`

Reimplemented from DateRange.

Definition at line 54 of file TimestampRange.class.php.

TimestampRange::getStartStamp | ( |  | ) |

Reimplemented from DateRange.

Definition at line 28 of file TimestampRange.class.php.

References DateRange::$start, and DateRange::getStart().

Here is the call graph for this function:

TimestampRange::toTimestampRange | ( |  | ) |

Returns:
  TimestampRange

Reimplemented from DateRange.

Definition at line 49 of file TimestampRange.class.php.

The documentation for this class was generated from the following file:

- main/Base/TimestampRange.class.php